# Uses of Class
org.eclipse.jdt.core.ElementChangedEvent

Packages that use ElementChangedEvent
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of ElementChangedEvent in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type ElementChangedEvent
Modifier and Type
Method
Description
`void`
IElementChangedListener.`elementChanged(ElementChangedEvent event)`
Notifies that one or more attributes of one or more Java elements have changed.

## Uses of ElementChangedEvent in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type ElementChangedEvent
Modifier and Type
Method
Description
`void`
JavaElementContentProvider.`elementChanged(ElementChangedEvent event)`
Deprecated.